<?php
# récupére un "fichier d'exploitation" dans la bdd
# par défaut on le récupére de la bdd, sinon on va le chercher dans un fichier txt généré
function getExploitationFile($sFileName, $fromFile = false)
{
	if ($fromFile)
	{
		global $ARCHIVES_DIR;
		
		$row['Contenu'] = file_get_contents($ARCHIVES_DIR.$sFileName);
	}
	else {
		$row = db_fetch_array(main_db_query("SELECT Contenu FROM Exploitation WHERE Fichier='".$sFileName."'"));

    }

	return $row['Contenu'];
}

# récupére plusieurs fichiers d'un coup
function getSeveralExploitationsFiles($tabFileName, $fromFile = false)
{
	$sizeTab = count($tabFileName);
	
	if ($fromFile)
	{
		global $ARCHIVES_DIR;
		
		for($i=1; $i < $sizeTab; $i++)
			$tabContenu[$tabFileName[$i]] = file_get_contents($ARCHIVES_DIR.$tabFileName[$i]);
	}
	else
	{
		$sSQL = "Fichier = '".$tabFileName[0]."'";
	
		for($i=1;$i<$sizeTab;$i++)
		{
			$sSQL .= " OR Fichier = '".$tabFileName[$i]."'";
		}
		$squery = "SELECT Contenu,Fichier FROM Exploitation WHERE ".$sSQL;
		//debug($squery);
		$rows = main_db_query($squery);
		
		$i = 0;
		while($row= db_fetch_assoc($rows))
		{
			$tabContenu[$row['Fichier']] = $row['Contenu'];
			$i++;
		}
	}
	/*echo "<pre>";
	print_r($tabContenu['Classement général']);
	echo "</pre>";*/
	return $tabContenu;
}

# ajoute/modifie un "fichier d'exploitation" dans la bdd
# a ne pas utiliser lors d'un flag par exemple
function setExploitationFile($sFileName, $sContenu, $toFile = false, $toSql = true, $openMode = "w")
{
	if($toSql)
		main_db_query("REPLACE INTO Exploitation (Fichier, Contenu) VALUES ('".$sFileName."', '".$sContenu."')");
	
	if ($toFile)
	{
		global $ARCHIVES_DIR;
		
		# on écrit dans un fichier
		$fd = fopen($ARCHIVES_DIR.$sFileName, $openMode);
		fwrite($fd, $sContenu);
		fclose($fd);
		
		# on synchro;
		# syncroFile();
	}
}

# ajoute/modifie un "fichier d'exploitation" dans un dossier externe
# a ne pas utiliser lors d'un flag par exemple
function setExternExploitationFile($sFileName, $sContenu, $toFile = false, $toSql = true)
{
	if($toSql)
		main_db_query("REPLACE INTO Exploitation (Fichier, Contenu) VALUES ('".$sFileName."', '".$sContenu."')");
	
	if ($toFile)
	{
		# on écrit dans un fichier
		$fd = fopen($sFileName, "w");
		fwrite($fd, $sContenu);
		fclose($fd);
		
		# on synchro;
		# syncroFile();
	}
}

# supprime
function deleteExploitationFile($sFileName)
{
	global $ARCHIVES_DIR;
	
	main_db_query("DELETE FROM Exploitation WHERE Fichier='".$sFileName."'");
	

	if(file_exists($ARCHIVES_DIR.$sFileName))
	{
		# on supprime le fichier généré éventuellement
		unlink($ARCHIVES_DIR.$sFileName);
	}

}

function syncroFile()
{
	global $GAME_DIR;
	
	VG_file("http://jessica.hst.nerim.net:8880/Synchro/synchro.php3?&sSourceDir=".$GAME_DIR."&config=remote&exinclude=1&sExclusion=debug.txt&submit=1&noadmin=1");
}
?>